Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.machinereassignment.domain
Class MrBalancePenalty

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.machinereassignment.domain.MrBalancePenalty

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class MrBalancePenalty

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`MrBalancePenalty()`

Method Summary
`int` | `getMultiplicand()`
`MrResource` | `getOriginResource()`
`MrResource` | `getTargetResource()`
`int` | `getWeight()`
`void` | `setMultiplicand(int multiplicand)`
`void` | `setOriginResource(MrResource originResource)`
`void` | `setTargetResource(MrResource targetResource)`
`void` | `setWeight(int weight)`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MrBalancePenalty

    public MrBalancePenalty()

Method Detail

### getOriginResource

    public MrResource getOriginResource()

### setOriginResource

    public void setOriginResource(MrResource originResource)

### getTargetResource

    public MrResource getTargetResource()

### setTargetResource

    public void setTargetResource(MrResource targetResource)

### getMultiplicand

    public int getMultiplicand()

### setMultiplicand

    public void setMultiplicand(int multiplicand)

### getWeight

    public int getWeight()

### setWeight

    public void setWeight(int weight)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.